Upgrading to MySQL Server 5.7 Using a MySQL Enterprise Backup (MEB) Or In-Place With innodb_fast_shutdown = 2 Or After Unclean Shutdown Fails: [ERROR] InnoDB: Upgrade after a crash is not supported."

(Doc ID 2109784.1)

Last updated on MARCH 08, 2017

Applies to:

MySQL Server - Version 5.7 to 5.7 [Release 5.7]
MySQL Enterprise Backup - Version 3.6 and later
Information in this document applies to any platform.


When starting MySQL Server 5.7 after upgrading from MySQL 5.6 or Earlier, the following errors are found in the error log:



MySQL Server was upgraded from MySQL 5.6 or earlier to MySQL 5.7 with one of the following:


Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms